# -*- encoding: utf-8 -*-
# stub: google-cloud-bigtable-admin-v2 0.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-bigtable-admin-v2".freeze
  s.version = "0.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2023-09-05"
  s.description = "Cloud Bigtable is a fully managed, scalable NoSQL database service for large analytical and operational workloads. Note that google-cloud-bigtable-admin-v2 is a version-specific client library. For most uses, we recommend installing the main client library google-cloud-bigtable-admin instead. See the readme for more details.".freeze
  s.email = "googleapis-packages@google.com".freeze
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "lib/google-cloud-bigtable-admin-v2.rb".freeze, "lib/google/bigtable/admin/v2/bigtable_instance_admin_pb.rb".freeze, "lib/google/bigtable/admin/v2/bigtable_instance_admin_services_pb.rb".freeze, "lib/google/bigtable/admin/v2/bigtable_table_admin_pb.rb".freeze, "lib/google/bigtable/admin/v2/bigtable_table_admin_services_pb.rb".freeze, "lib/google/bigtable/admin/v2/common_pb.rb".freeze, "lib/google/bigtable/admin/v2/instance_pb.rb".freeze, "lib/google/bigtable/admin/v2/table_pb.rb".freeze, "lib/google/cloud/bigtable/admin/v2.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_instance_admin.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_instance_admin/client.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_instance_admin/credentials.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_instance_admin/operations.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_instance_admin/paths.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_table_admin.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_table_admin/client.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_table_admin/credentials.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_table_admin/operations.rb".freeze, "lib/google/cloud/bigtable/admin/v2/bigtable_table_admin/paths.rb".freeze, "lib/google/cloud/bigtable/admin/v2/version.rb".freeze, "proto_docs/README.md".freeze, "proto_docs/google/api/field_behavior.rb".freeze, "proto_docs/google/api/resource.rb".freeze, "proto_docs/google/bigtable/admin/v2/bigtable_instance_admin.rb".freeze, "proto_docs/google/bigtable/admin/v2/bigtable_table_admin.rb".freeze, "proto_docs/google/bigtable/admin/v2/common.rb".freeze, "proto_docs/google/bigtable/admin/v2/instance.rb".freeze, "proto_docs/google/bigtable/admin/v2/table.rb".freeze, "proto_docs/google/iam/v1/iam_policy.rb".freeze, "proto_docs/google/iam/v1/options.rb".freeze, "proto_docs/google/iam/v1/policy.rb".freeze, "proto_docs/google/longrunning/operations.rb".freeze, "proto_docs/google/protobuf/any.rb".freeze, "proto_docs/google/protobuf/duration.rb".freeze, "proto_docs/google/protobuf/empty.rb".freeze, "proto_docs/google/protobuf/field_mask.rb".freeze, "proto_docs/google/protobuf/timestamp.rb".freeze, "proto_docs/google/rpc/status.rb".freeze, "proto_docs/google/type/expr.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "API Client library for the Cloud Bigtable Admin V2 API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<grpc-google-iam-v1>.freeze, [">= 0.6.10", "< 2.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_dependency(%q<grpc-google-iam-v1>.freeze, [">= 0.6.10", "< 2.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
